
Foreman - Feature #14059

Puppet CA Certificate Search

03/04/2016 11:47 AM - Chris Pisano

Status: Resolved   

Priority: Normal   

Assignee:    

Category: PuppetCA   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently you can view a list of certificates on the Puppet CA via the Foreman webUI if you have the smart-proxy installed however

you can only filter by state of the certificate (valid, pending, expired). It would be useful if that filter was expanded include a free text

search based on certificate name and possibly even something for expires.

Related issues:

Related to Foreman - Feature #12720: As a User I would like to get puppet rel... Closed 12/07/2015

History

#1 - 03/07/2016 04:03 AM - Dominic Cleal

- Related to Feature #12720: As a User I would like to get puppet related data of the smart proxy added

#2 - 03/07/2016 04:05 AM - Dominic Cleal

- Project changed from Smart Proxy to Foreman

- Category changed from Puppet to PuppetCA

- Status changed from New to Resolved

Foreman 1.11 has a free text search on the certificate list now, you can access it via the smart proxies list, clicking a proxy and using the Puppet CA

tab.  Please try out the release candidates if you can, see https://groups.google.com/forum/#!topic/foreman-announce/_P1ajFikDAs for details.
